Summary: NFS server configuration tool
Name: redhat-config-nfs
Version: 1.0.1
Release: 3
URL: http://www.redhat.com/
License: GPL
ExclusiveOS: Linux
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Source0: %{name}-%{version}.tar.bz2
BuildRequires: desktop-file-utils
Requires: pygtk2
Requires: python2
Requires: nfs-utils
Requires: usermode >= 1.36

%description
redhat-config-nfs is a graphical user interface for creating, 
modifying, and deleting nfs shares.

%prep
%setup -q

%build
make

%install
make INSTROOT=$RPM_BUILD_ROOT install

desktop-file-install --vendor redhat --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Base        \
  --add-category X-Red-Hat-ServerConfig        \
  $RPM_BUILD_ROOT%{_datadir}/applications/redhat-config-nfs.desktop

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ -d /usr/share/redhat-config-nfs ] ; then
  rm -rf /usr/share/redhat-config-nfs/*.pyc
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING
%doc doc/*
/usr/bin/redhat-config-nfs
%dir /usr/share/redhat-config-nfs
%dir /usr/share/redhat-config-nfs/pixmaps
/usr/share/redhat-config-nfs/*
%attr(0644,root,root) %{_datadir}/applications/redhat-config-nfs.desktop
%attr(0644,root,root) %{_datadir}/%{name}/pixmaps/redhat-config-nfs.png
%attr(0644,root,root) %config /etc/security/console.apps/redhat-config-nfs
%attr(0644,root,root) %config /etc/pam.d/redhat-config-nfs

%changelog
* Tue Sep 03 2002 Brent Fox <bfox@redhat.com> 1.0.1-3
- pull in latest translations

* Fri Aug 30 2002 Brent Fox <bfox@redhat.com> 1.0.1-2
- pull in latest translations

* Thu Aug 29 2002 Brent Fox <bfox@redhat.com> 1.0.1-1
- Pull in latest translations

* Tue Aug 27 2002 Brent Fox <bfox@redhat.com> 1.0.0-3
- Replace deprecated GTK function calls children() to get_children()

* Tue Aug 27 2002 Brent Fox <bfox@redhat.com> 1.0.0-2
- Rebuild for new translations

* Mon Aug 19 2002 Brent Fox <bfox@redhat.com> 1.0-1
- convert desktop file to UTF-8

* Wed Aug 14 2002 Tammy Fox <tfox@redhat.com> 0.9.9-5
- new icon

* Wed Aug 14 2002 Brent Fox <bfox@redhat.com> 0.9.9-4
- handle async options properly

* Mon Aug 12 2002 Brent Fox <bfox@redhat.com> 0.9.9-3
- break out of infinite loop while iterating the exports list

* Sun Aug 11 2002 Brent Fox <bfox@redhat.com> 0.9.9-2
- Fix bug when clicking Apply with empty ListStore - bug 69682
- Fix bug 70626 so that the dialog can stretch for long strings
- Fix bug 71107 by requiring nfs-utils
- Convert remaining non-UTF8 po files to UTF8

* Mon Aug 05 2002 Tammy Fox <tfox@redhat.com> 0.9.9-1
- Add help

* Fri Aug 02 2002 Brent Fox <bfox@redhat.com> 0.9.8-1
- Use new pam timestamp rules

* Thu Aug 01 2002 Tammy Fox <tfox@redhat.com> 
- Add about box
- UI tweaks

* Wed Jul 24 2002 Brent Fox <bfox@redhat.com> 0.9.6-2
- Update spec file for public beta 2

* Wed Jul 24 2002 Tammy Fox <tfox@redhat.com> 0.9.4-4
- Fix desktop file (bug #69479)

* Wed Jul 17 2002 Brent Fox <bfox@redhat.com> 0.9.4-3
- Fix bug 68945.  Desensitize property and delete widgets as needed
- Fix bug 67958.  Default to 'sync' transfers

* Tue Jul 16 2002 Brent Fox <bfox@redhat.com> 0.9.4-2
- bump rev num and rebuild

* Wed Jun 26 2002 Brent Fox <bfox@redhat.com> 0.9.1-1
- Fixed description

* Tue Jun 18 2002 Brent Fox <bfox@redhat.com> 0.9.0-1
- Require python2 instead of python
- Increase version number

* Tue Jun 18 2002 Brent Fox <bfox@redhat.com> 0.2.1
- Added copyright data to Python files

* Thu May 30 2002 Brent Fox <bfox@redhat.com> 0.1.0-4
- Fixed Requires 

* Fri May 3 2002 Brent Fox <bfox@redhat.com>
- Minor UI fixes

* Tue Feb 19 2002 Brent Fox <bfox@redhat.com>
- Big port to Python2.2/Gtk2
- Removed glade dep and recoded the UI by hand. (libglade2 wasn't working out for me)
- Ready for rebuilding and testing now

* Mon Jan 21 2002 Brent Fox <bfox@redhat.com>
- initial coding and packaging

